<?php
/*
	Stempora Web Framework
	Copyright (c) 2002-2018 Stempora. 
	All rights reserved.
		web:  www.stempora.com
		mail: support@stempora.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}
// dependencies


## fix for str_ireplace for php 5
if (!function_exists("str_ireplace")) {

	function str_Ireplace($search, $replace, $subject) {

		if (is_array($search)) {
			foreach ($search as $word) {
			$words[] = "/".$word."/i";
			}
		} else {
			$words = "/".$search."/i";
		}
		return preg_replace($words, $replace, $subject);
	}
}
?>